using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace APO
{
    public partial class _form_poziomy_szarosci : Form
    {
        private Bitmap src_thumbnail;
        public _form_poziomy_szarosci(Bitmap src)
        {
            
            InitializeComponent();
            
            int new_height = src.Height;
            int new_width = src.Width;
            while (new_height > 300 || new_width > 400)
            {
                new_height = (int)(new_height / 1.05f);
                new_width = (int)(new_width / 1.05f);
            }
            if (src != null)
            {
                src_thumbnail = new Bitmap(src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero));
                preview.Image = src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero);
            }

        }
        public int prog
        {
            set{}
            get { 
                return value.Value;
            }
        }
        private void value_Scroll(object sender, EventArgs e)
        {
            label_value.Text = value.Value.ToString();
            float krok = 255 / value.Value;
            Bitmap obrazek_bitmapa = new Bitmap(src_thumbnail);
            BitmapProcessing.FastBitmap fobrazek_bitmapa = new BitmapProcessing.FastBitmap(obrazek_bitmapa);
            fobrazek_bitmapa.LockImage();
            for (int x = 0; x < obrazek_bitmapa.Width; x++)
            {
                for (int y = 0; y < obrazek_bitmapa.Height; y++)
                {
                    int wartosc_piksela = fobrazek_bitmapa.GetPixel(x, y).R;

                    int przedzial = (int)(wartosc_piksela / krok);

                    if (przedzial == value.Value || przedzial == value.Value - 1)
                    {
                        fobrazek_bitmapa.SetPixel(x, y, Color.FromArgb(255, 255, 255));
                    }
                    else if (przedzial == 0)
                    {
                        fobrazek_bitmapa.SetPixel(x, y, Color.FromArgb(0, 0, 0));
                    }
                    else
                    {
                        int tmp = (int)(((float)przedzial) * krok + krok / 2);
                        fobrazek_bitmapa.SetPixel(x, y, Color.FromArgb(tmp, tmp, tmp));
                    }
                }
            }
            fobrazek_bitmapa.UnlockImage();
            preview.Image = obrazek_bitmapa;
        }

        
    }
}