using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace APO
{
    public partial class _form_medianowa_hsv : Form
    {
        private Bitmap src_thumbnail;
        
        public _form_medianowa_hsv(Bitmap src)
        {
            
            InitializeComponent();
           

            int new_height = src.Height;
            int new_width = src.Width;
            while (new_height > 150 || new_width > 200)
            {
                new_height = (int)(new_height / 1.05f);
                new_width = (int)(new_width / 1.05f);
            }
            if (src != null)
            {
                src_thumbnail = new Bitmap(src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero));
                preview.Image = src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero);
            }
            update_preview();

        }
        public int h
        {
            get {
                return (int) fheight.Value;
            }

            set { 
            }
        }
        public int w
        {
            get
            {
                return (int) fwidth.Value;
            }

            set
            {
            }
        }
        private void update_preview()
        {
            preview.Image = functions.filtracja_medianowa_hsv(src_thumbnail, h,w);
            
        }

        private void fheight_ValueChanged(object sender, EventArgs e)
        {
            update_preview();
        }

        private void fwidth_ValueChanged(object sender, EventArgs e)
        {
            update_preview();
        }

        private void _form_medianowa_hsv_Load(object sender, EventArgs e)
        {

        }
        
        





        
    }
}