using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace APO
{
    public partial class _form_wygladzanie_logiczne : Form
    {
        private Bitmap src_thumbnail;
        public int opcja {
            get
            {
                return _opcja;
            }
            set { }
        }
        public _form_wygladzanie_logiczne(Bitmap src)
        {
            
            InitializeComponent();
           

            int new_height = src.Height;
            int new_width = src.Width;
            while (new_height > 300 || new_width > 400)
            {
                new_height = (int)(new_height / 1.05f);
                new_width = (int)(new_width / 1.05f);
            }
            if (src != null)
            {
                src_thumbnail = new Bitmap(src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero));
                preview.Image = src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero);
            }
            update_preview();

        }
        private int _opcja = 1;
        private void update_preview()
        {
                preview.Image = functions.wygladzanie_logiczne(src_thumbnail, _opcja);
        }

       
        private void poziomo_CheckedChanged(object sender, EventArgs e)
        {
            _opcja = 2;
            update_preview();
        }

        private void pionowo_CheckedChanged(object sender, EventArgs e)
        {
            _opcja = 1;
            update_preview();
        }

        private void wszystkie_CheckedChanged(object sender, EventArgs e)
        {
            _opcja = 3;
            update_preview();
        }
        
        





        
    }
}