﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using System.Windows.Forms.DataVisualization.Charting;
using System.Drawing.Imaging;
using APO_BB_DK_v012013.Operacje;
using BitmapProcessing;
using System.Reflection;


namespace APO_BB_DK_v012013
{
    public partial class ObrazFL2 : Form
    {
        private TrackBar suwak1;
        private OpenFileDialog open;
        public PictureBox pictureFGLwynik;
        public Bitmap bitmap;
        private Bitmap originalBitmap = null;
        private Bitmap previewBitmap = null;
        private Bitmap resultBitmap = null;
        private Bitmap blendBitmap2M = null;
        public Bitmap bmpHSV;
        public Bitmap bmpRGB;
        public Bitmap bmpGrey;
        public int bmpFormat;
        public int bmpForBrzeg;
        public int metod;
       
      //  public List<ConvolutionFilterBase> filterList; // = null;

   //     private ComboBox combo;
   //     ConvolutionFilterBase filter = null;

   //     private int _id = -1;
        private int[] histogram_values = new int[256];
        private int[] histogram_hsv_values = new int[256];
        private int[,] histogram_kolory_values;
        public int[,] tab;
        public int[] fil;
        public int rozmiar;
        public int tryb;
        //----------
           public Graphics graphics;      // przechowuje grafikę
        public String path;            // ścieżka do pliku
             public Boolean jazda=false;
          public Point start;
        public Point end;
        //--------

        
        public bool HSV
        {   get { return _HSV; }
            set { _HSV = value; this.label5.Text = "Obraz (HSV)"; this.HistogramRGB.Visible = false; button_blue.Visible = false; button_green.Visible = false; buttpn_red.Visible = false; label5.Visible = false; button_wszystkie.Visible = false; button1.Visible = false; button3.Visible = false; label5.Visible = true; label2.Text = "1.0"; }
        }
        private bool _HSV = false;
      
        public ObrazFL2()
        {
            InitializeComponent();
            open = new OpenFileDialog();
            suwak1 = new System.Windows.Forms.TrackBar();
            this.pictureFGL.SizeMode = PictureBoxSizeMode.StretchImage;
            this.pictureFGLwynik.SizeMode = PictureBoxSizeMode.StretchImage;
            this.pictureObrazFL1.SizeMode = PictureBoxSizeMode.StretchImage;
            this.pictureObrazFL2.SizeMode = PictureBoxSizeMode.StretchImage;

            bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
            bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
            bmpGrey = (Bitmap)this.pictureFGLwynik.Image;
            this.checkDzielnikRGB.Checked = true;
            this.textDzielnikRGB.Enabled = false;
       

        //    this.textDzielnik.Enabled = false;
      /*      
            List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();

            filterList.Add(new SharpenFilter());                            //[0]
            filterList.Add(new Sharpen3x3Filter());                         //[1]
            filterList.Add(new Sharpen3x3FactorFilter());                   //[3]
            filterList.Add(new Sharpen5x5Filter());                         //[4]
            filterList.Add(new IntenseSharpenFilter());                     //[5]
            filterList.Add(new Blur3x3Filter());                            //[6]
            filterList.Add(new Blur5x5Filter());                            //[7]
            filterList.Add(new Gaussian3x3BlurFilter());                    //[8]
            filterList.Add(new Gaussian5x5BlurFilter());                    //[9]
            filterList.Add(new SoftenFilter());                             //[10]
            filterList.Add(new MotionBlurFilter());                         //[11]
            filterList.Add(new MotionBlurLeftToRightFilter());              //[12]
            filterList.Add(new MotionBlurRightToLeftFilter());              //[13]
            filterList.Add(new HighPass3x3Filter());                        //[14]
            filterList.Add(new EdgeDetectionFilter());                      //[15]
            filterList.Add(new HorizontalEdgeDetectionFilter());            //[16]
            filterList.Add(new VerticalEdgeDetectionFilter());              //[17]
            filterList.Add(new EdgeDetection45DegreeFilter());              //[18]
            filterList.Add(new EdgeDetectionTopLeftBottomRightFilter());    //[19]      
            filterList.Add(new EmbossFilter());                             //[20]
            filterList.Add(new Emboss45DegreeFilter());                     //[21]
            filterList.Add(new EmbossTopLeftBottomRightFilter());           //[22]
            filterList.Add(new IntenseEmbossFilter());                      //[23]
       */
            /*
            comboBoxFGL.DataSource = filterList;         
             comboBoxFGL.DisplayMember = "Filtry Wygładzające (FD) - Liniowa";

           comboBoxFGL.Items.Add("Filtry Wygładzające (FD) - Liniowa");       
            comboBoxFGL.SelectedIndex = 0; 
            */
        }
              
        private void buttonObrazFL_Click_1(object sender, EventArgs e)
        {         
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Title = "Select an image file.";
            ofd.Filter = "Image Files(*.BMP;*.JPG;*.PNG)|*.BMP;*.JPG;*.PNG|All files (*.*)|*.*";
         //   ofd.Filter = "Png Images(*.png)|*.png|Jpeg Images(*.jpg)|*.jpg";
         //   ofd.Filter += "|Bitmap Images(*.bmp)|*.bmp";
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                StreamReader streamReader = new StreamReader(ofd.FileName);
                originalBitmap = (Bitmap)Bitmap.FromStream(streamReader.BaseStream);
                streamReader.Close();
                this.label3.Text = ofd.FileName;
                previewBitmap = originalBitmap.CopyToSquareCanvas(pictureFGL.Width);
                blendBitmap2M = originalBitmap.CopyToSquareCanvas(pictureFGL.Width);
                pictureFGL.Image = previewBitmap;
                this.pictureObrazFL1.Image = originalBitmap;
                ApplyFilter(true); 
            }       
        }           
           
        private void buttonWidok_Click(object sender, EventArgs e)
        {
            this.pictureFGL.SizeMode = PictureBoxSizeMode.StretchImage;
            this.pictureFGLwynik.SizeMode = PictureBoxSizeMode.StretchImage;

            if (this.radioNaturalny.Checked)
            {           
                this.pictureFGLwynik.SizeMode = PictureBoxSizeMode.Normal;
                this.pictureFGL.SizeMode = PictureBoxSizeMode.Normal;
            }

            if (this.radioAutoSize.Checked)
            {
                this.pictureFGL.SizeMode = PictureBoxSizeMode.CenterImage;
                this.pictureFGLwynik.SizeMode = PictureBoxSizeMode.CenterImage;
            }
            if (this.radioDopasowany.Checked)
            {
                this.pictureFGL.SizeMode = PictureBoxSizeMode.StretchImage;
                this.pictureFGLwynik.SizeMode = PictureBoxSizeMode.StretchImage;
            }
            this.pictureFGL.Refresh();
            this.pictureFGLwynik.Refresh();
        }


        public void update_viewInt(int[,] tabela, int wymiar, DataGridView data)
        {
            int szer = wymiar;
            int[,] tablica = tabela;
            data.ColumnCount = szer;
            data.EditMode = DataGridViewEditMode.EditProgrammatically;
            data.RowHeadersVisible = false;
            data.ColumnHeadersVisible = false;
            data.AutoSize = true;
            data.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.AllCells;
            data.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.AllCells;
            string[] tab = new string[szer];
            data.Rows.Clear();
            for (int i = 0; i < szer; i++)
            {
                for (int j = 0; j < szer; j++)
                {
                    tab[j] = tablica[i, j].ToString();
                }
                data.Rows.Add(tab);
            }
            data.Visible = true;
        }


        public void update_viewDb(double[,] tabela, int wymiar, DataGridView data)
        {
            int szer = wymiar;
            double[,] tablica = tabela;
            data.ColumnCount = szer;
            data.EditMode = DataGridViewEditMode.EditProgrammatically;
            data.RowHeadersVisible = false;
            data.ColumnHeadersVisible = false;
            data.AutoSize = true;
            data.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.AllCells;
            data.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.AllCells;
            string[] tab = new string[szer];
            dataGridGrey.Rows.Clear();
            for (int i = 0; i < szer; i++)
            {
                for (int j = 0; j < szer; j++)
                {
                    tab[j] = tablica[i, j].ToString();
                }
                data.Rows.Add(tab);
            }
            data.Visible = true;
        }



        public void update_view(double[,] tabela, int wymiar)
        {
            int szer = wymiar;
            double[,] tablica = tabela;
            dataGridGrey.ColumnCount = szer;
            dataGridGrey.EditMode = DataGridViewEditMode.EditProgrammatically;
            dataGridGrey.RowHeadersVisible = false;
            dataGridGrey.ColumnHeadersVisible = false;
            dataGridGrey.AutoSize = true;
            dataGridGrey.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.AllCells;
            dataGridGrey.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.AllCells;
            string[] tab = new string[szer];
            dataGridGrey.Rows.Clear();
            for (int i = 0; i < szer; i++)
            {
                for (int j = 0; j < szer; j++)
                {
                    tab[j] = tablica[i, j].ToString();
                }
                dataGridGrey.Rows.Add(tab);
            }
            dataGridGrey.Visible = true;
        }


            
      

        
        private void ApplyFilter(bool preview)
        {
            if (previewBitmap == null || comboBoxFGL.SelectedIndex == -1)
            {   return;   }
            Bitmap selectedSource = null;
            Bitmap bitmapResult = null;

            if (preview == true)
            {   selectedSource = previewBitmap;  }
            else
            {   selectedSource = originalBitmap;  }

            if (selectedSource != null)
            {
                if (comboBoxFGL.SelectedItem.ToString() == "None")
                {
                    bitmapResult = selectedSource;
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Uśredniający")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Usredniajacy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                 //   update_view1(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))));
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;
               
                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Usredniajacy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    { 
                    
                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    { 
                    
                    }

                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Kwadratowy")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Kwadratowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Kwadratowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Kołowy")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();                     
                    int[,] fx = FiltryWygladzajace1.Kolowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;
 
                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Kolowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Piramidalny")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Piramidalny;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Piramidalny());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Stożkowy")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Stozkowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Stozkowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 3x3")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_3x3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa3x3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G1")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_1;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_1());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G2")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_2;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_2());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G3")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);

                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        if (radioSkalowanie1Sz.Checked)
                        {
                            List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                            filterList.Clear();
                            filterList.Add(new Gaussa5x5_3());
                            pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                        }
                        if (radioSkalowanie2Sz.Checked)
                        {
                            List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                            filterList.Clear();
                            filterList.Add(new Gaussa5x5_3());
                            pictureFGLwynik.Image = previewBitmap.ConvolutionFilter2(filterList[0], 2);
                        }

                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G4")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_4;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_4());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G5")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_5;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 7x7")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_7x7;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa7x7());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }

                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L1")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_1;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_1());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L2")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_2;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_2());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L3")
                {
                    this.dataGridGrey.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikSz.Text = suma.ToString();
                    this.macierzXxX.Text = licz.ToString();
                    this.textDzielnikSz.Refresh();
                    this.macierzXxX.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridGrey);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpGrey = f.filtruj(bmpGrey, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        int x = trackGrey.Value;
                        bmpGrey = f.filtruj(bmpGrey, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpGrey;
                    }
                    else if (this.radioBrzegiMinSz.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxSz.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Własna maska")
                {
                    this.dataGridW.Visible = true;
                    this.groupFiltrGrey.Visible = false;
                    this.groupFiltrWlasna.Visible = true;
                    bitmapResult = selectedSource.MedianFilter(17);
                    bmpGrey = (Bitmap)this.pictureFGLwynik.Image;
                }
                // oBRAZ RGB ------------------------------------------------------------------------------------------------------
                else if (comboBoxFGL.SelectedItem.ToString() == "Uśredniający RGB")
                {
                   // update_viewRGB(FiltryWygladzajace.Usredniajacy, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(FiltryWygladzajace.Usredniajacy.Length))));
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Usredniajacy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
          //        update_viewRGB1(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))));
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
             

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Usredniajacy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        FiltracjaLiniowa fy = new FiltracjaLiniowa();
                     
                     //   Bitmap src, int[] vals, int dzielnik, int metoda)
                        
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int[] fa = { 1, 1, 1, 1, 1, 1, 1, 1, 1 }; // kwadratowy
                         fy.filtracja_liniowa(bmpRGB, fa , 9, 3);
                   //     bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki 
                        int r = trackRedRGB.Value;
                        int g = trackGreenRGB.Value;
                        int b = trackBlueRGB.Value;
                 //     bmpRGB = f.filtruj(bmpRGB, fx, r, g, b);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Kwadratowy RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Kwadratowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

               //     update_viewRGB1(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))));
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Kwadratowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Kołowy RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Kolowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Kolowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Piramidalny RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Piramidalny;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Piramidalny());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
               //         bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Stożkowy RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Stozkowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Stozkowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 3x3 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_3x3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa3x3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G1 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_1;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_1());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, 100);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G2 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_2;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_2());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G3 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G4 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_4;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_4());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G5 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_5;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_5());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 7x7 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_7x7;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa7x7());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, 127);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L1 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_1;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_1());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L2 RGB")
                {
                    this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_2;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_2());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L3 RGB")
                {
                          this.dataGridRGB.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    this.textDzielnikRGB.Text = suma.ToString();
                    this.textDzielnikRGB.Refresh();
                    this.macierzXxXRGB.Text = licz.ToString();               
                    this.macierzXxXRGB.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridRGB);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopyRGB.Checked)
                    {                      
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        bmpRGB = f.filtruj(bmpRGB, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiIgnorRGB.Checked)
                    {
                        bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpRGB = f.filtruj(bmpRGB, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegMinRGB.Checked)
                    {

                    }
                    else if (this.radioBrzegMaxRGB.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Własna maska RGB")
                {
                    this.dataGridW.Visible = true;
                    this.groupFiltrGrey.Visible = false;
                    this.groupFiltrWlasna.Visible = true;
                    bitmapResult = selectedSource.MedianFilter(17);
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                }
              //---------------------------------------------------------------
                //OBRAZ HSV --------------------------------------------------------------------------------------------------------------
                else if (comboBoxFGL.SelectedItem.ToString() == "Uśredniający HSV")
                {                 
                    dataGridHSV.Rows.Clear();
                    dataGridHSV.Visible = true;
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Usredniajacy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorHSV.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Usredniajacy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                   
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Kwadratowy HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Kwadratowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Kwadratowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Kołowy HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Kolowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Kolowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Piramidalny HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Piramidalny;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;              
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Piramidalny());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Stożkowy HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Stozkowy;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Stozkowy());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 3x3 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_3x3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa3x3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G1 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_1;
                    int licz = fx.Length; 
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_1());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G2 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_2;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_2());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 5x5 G3 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_5x5_3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa5x5_3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Gaussa 7x7 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.Gauss_7x7;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new Gaussa7x7());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }
                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L1 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_1;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_1());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L2 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_2;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_2());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Liniowy L3 HSV")
                {
                    filtry f = new filtry();
                    int[,] fx = FiltryWygladzajace1.LP_3;
                    int licz = fx.Length;
                    int suma = FiltryWygladzajace1.Suma(fx);
                    textDzielnikHSV.Text = suma.ToString();
                    textDzielnikHSV.Refresh();
                    macierzXxXHSV.Text = licz.ToString();
                    macierzXxXHSV.Refresh();

                    this.dataGridHSV.Visible = true;
                    update_viewInt(fx, Convert.ToInt32(Math.Sqrt(Convert.ToDouble(fx.Length))), dataGridHSV);

                    if (this.radioBrzegiIgnorSz.Checked)
                    {
                        List<ConvolutionFilterBase> filterList = new List<ConvolutionFilterBase>();
                        filterList.Clear();
                        filterList.Add(new LP_3());
                        pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filterList[0]);
                    }
                    else if (this.radioBrzegiCopySz.Checked)
                    {
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        bmpHSV = f.filtruj(bmpHSV, fx, -2);  // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegSz.Checked)
                    {                   
                        bmpHSV = (Bitmap)this.pictureFGLwynik.Image;
                        int x = trackGrey.Value;
                        bmpHSV = f.filtruj(bmpHSV, fx, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpHSV;
                    }
                    else if (this.radioBrzegiMinHSV.Checked)
                    {

                    }
                    else if (this.radioBrzegiMaxHSV.Checked)
                    {

                    }
                }

                else if (comboBoxFGL.SelectedItem.ToString() == "Własna maska HSV")
                {
                    this.dataGridW.Visible = true;
                    this.groupFiltrGrey.Visible = false;
                    this.groupFiltrWlasna.Visible = true;
                    bitmapResult = selectedSource.MedianFilter(17);
                }               
            }      

            if (bitmapResult != null)
            {
                if (preview == true)
                {
                    pictureFGLwynik.Image = bitmapResult;
                }
                else
                {
                    resultBitmap = bitmapResult;
                }
            }
        }
        

        private void comboBoxFL_SelectedIndexChanged(object sender, EventArgs e)
        {
            ApplyFilter(true);
        }

        private void buttonKolor_Click(object sender, EventArgs e)
        {
           FunkcjeJednoarg fn = new FunkcjeJednoarg();
           comboBoxFGL.Items.Clear();
           comboBoxFGL.Items.Add ("Filtry Wygładzające (FD) - FILTRACJA LINIOWA");
           comboBoxFGL.SelectedIndex = 0;
        
            if (this.radioSzary.Checked)
            {
                bmpFormat = -1;
                comboBoxFGL.Items.Add("Uśredniający");
                comboBoxFGL.Items.Add("Kwadratowy");
                comboBoxFGL.Items.Add("Kołowy");
                comboBoxFGL.Items.Add("Piramidalny");
                comboBoxFGL.Items.Add("Stożkowy");
                comboBoxFGL.Items.Add("Gaussa 3x3");
                comboBoxFGL.Items.Add("Gaussa 5x5 G1");
                comboBoxFGL.Items.Add("Gaussa 5x5 G2");
                comboBoxFGL.Items.Add("Gaussa 5x5 G3");
                comboBoxFGL.Items.Add("Gaussa 5x5 G4");
                comboBoxFGL.Items.Add("Gaussa 5x5 G5");
                comboBoxFGL.Items.Add("Gaussa 7x7");
                comboBoxFGL.Items.Add("Liniowy L1");
                comboBoxFGL.Items.Add("Liniowy L2");
                comboBoxFGL.Items.Add("Liniowy L3");
                comboBoxFGL.Items.Add("Własna maska");                  
                comboBoxFGL.SelectedIndex = 0; 
              
                this.label1.Text = "Obraz wynikowy w odcieniach szarości";
                Bitmap bmpFL = new Bitmap(this.pictureObrazFL1.Image);
                this.pictureObrazFL2.Image = bmpFL;
                bmpFL = fn.Skalaszarosci(bmpFL);
                this.pictureFGLwynik.Image = bmpFL;
                this.pictureFGL.Image = bmpFL;
                this.pictureFGLwynik.Image = bmpFL.CopyToSquareCanvas(pictureFGLwynik.Width);
                this.comboBoxFGL.Visible = true;
                this.pictureFGLwynik.Visible = true;
                previewBitmap = bmpFL.CopyToSquareCanvas(this.pictureFGL.Width);
                this.pictureFGLwynik.Image = previewBitmap;
                this.groupFiltrGrey.Visible = true;
                this.groupFiltrHSV.Visible = false;
                this.groupFiltrRGB.Visible = false;
                tabFiltry.Visible = true;
                tabFiltry.TabPages.Clear();
          //      tabFiltry.TabPages.Remove(tabFiltrRGB);
          //      tabFiltry.TabPages.Remove(tabFiltrHSV);
                tabFiltry.TabPages.Remove(tabFiltrW);
          //      tabFiltry.TabPages.Add(tabFiltrGrey);
                tabFiltry.TabPages.Add(tabFiltrGrey);
                //'dodawanie TabPage'
                //Me.TabControl1.Controls.Add(Me.TabPage1)
            }

            if (this.radioKolorHVS.Checked)
            {
                bmpFormat = -3;
                comboBoxFGL.Items.Add("Uśredniający HSV");
                comboBoxFGL.Items.Add("Kwadratowy HSV");
                comboBoxFGL.Items.Add("Kołowy HSV");
                comboBoxFGL.Items.Add("Piramidalny HSV");
                comboBoxFGL.Items.Add("Stożkowy HSV");
                comboBoxFGL.Items.Add("Gaussa 3x3 HSV");
                comboBoxFGL.Items.Add("Gaussa 5x5 G1 HSV");
                comboBoxFGL.Items.Add("Gaussa 5x5 G2 HSV");
                comboBoxFGL.Items.Add("Gaussa 5x5 G3 HSV");
                comboBoxFGL.Items.Add("Gaussa 7x7 HSV");
                comboBoxFGL.Items.Add("Liniowy L1 HSV");
                comboBoxFGL.Items.Add("Liniowy L2 HSV");
                comboBoxFGL.Items.Add("Liniowy L3 HSV");
                comboBoxFGL.Items.Add("Własna maska HSV"); 
                comboBoxFGL.SelectedIndex = 0; 
                
                this.label1.Text = "Obraz wynikowy kolorowy HSV";
                Bitmap bmpFLkol = new Bitmap(this.pictureObrazFL1.Image);            
                this.comboBoxFGL.Visible = true;
                this.pictureFGL.Image = bmpFLkol;
                this.pictureFGLwynik.Image = bmpFLkol;
                this.pictureFGLwynik.Visible = true;
                previewBitmap = bmpFLkol.CopyToSquareCanvas(this.pictureFGL.Width);
                this.pictureFGLwynik.Image = previewBitmap;
                this.groupFiltrGrey.Visible = false;
                this.groupFiltrHSV.Visible = true;
                this.groupFiltrRGB.Visible = false;
                tabFiltry.Visible = true;
                tabFiltry.TabPages.Clear();
            //    tabFiltry.TabPages.Remove(tabFiltrRGB);
            //    tabFiltry.TabPages.Remove(tabFiltrGrey);
            //    tabFiltry.TabPages.Remove(tabFiltrW);
                tabFiltry.TabPages.Add(tabFiltrHSV);
            }

            if (this.radioKolorRGB.Checked)
            {
                bmpFormat = -2;
                comboBoxFGL.Items.Add("Uśredniający RGB");
                comboBoxFGL.Items.Add("Kwadratowy RGB");
                comboBoxFGL.Items.Add("Kwadratowy RGB_2");
                comboBoxFGL.Items.Add("Kołowy RGB");
                comboBoxFGL.Items.Add("Piramidalny RGB");
                comboBoxFGL.Items.Add("Stożkowy RGB");
                comboBoxFGL.Items.Add("Gaussa 3x3 RGB");
                comboBoxFGL.Items.Add("Gaussa 5x5 G1 RGB");
                comboBoxFGL.Items.Add("Gaussa 5x5 G2 RGB");
                comboBoxFGL.Items.Add("Gaussa 5x5 G3 RGB");
                comboBoxFGL.Items.Add("Gaussa 5x5 G4 RGB");
                comboBoxFGL.Items.Add("Gaussa 5x5 G5 RGB");
                comboBoxFGL.Items.Add("Gaussa 7x7 RGB");
                comboBoxFGL.Items.Add("Liniowy L1 RGB");
                comboBoxFGL.Items.Add("Liniowy L2 RGB");
                comboBoxFGL.Items.Add("Liniowy L3 RGB");
                comboBoxFGL.Items.Add("Własna maska RGB");
                comboBoxFGL.SelectedIndex = 0; 

                this.label1.Text = "Obraz wynikowy kolorowy RGB";
                Bitmap bmpFLkol = new Bitmap(this.pictureObrazFL1.Image);            
                this.comboBoxFGL.Visible = true;
                this.pictureFGL.Image = bmpFLkol;
                this.pictureFGLwynik.Image = bmpFLkol;
                this.pictureFGLwynik.Visible = true;
                previewBitmap = bmpFLkol.CopyToSquareCanvas(this.pictureFGL.Width);
                this.pictureFGLwynik.Image = previewBitmap;
                this.groupFiltrGrey.Visible = false;
                this.groupFiltrHSV.Visible = false;
                this.groupFiltrRGB.Visible = true;
                tabFiltry.Visible = true;
                tabFiltry.TabPages.Clear();              
            //    tabFiltry.TabPages.Remove(tabFiltrGrey);
            //    tabFiltry.TabPages.Remove(tabFiltrHSV);
             //   tabFiltry.TabPages.Remove(tabFiltrW);
                tabFiltry.TabPages.Add(tabFiltrRGB);
            }
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
             this.pictureFGLwynik.Image = resultBitmap;
            ApplyFilter(false);
            if (resultBitmap != null)
            {
                SaveFileDialog sfd = new SaveFileDialog();
                sfd.Title = "Specify a file name and file path";
                sfd.Filter = "Png Images(*.png)|*.png|Jpeg Images(*.jpg)|*.jpg";
                sfd.Filter += "|Bitmap Images(*.bmp)|*.bmp";

                if (sfd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
                {
                    string fileExtension = Path.GetExtension(sfd.FileName).ToUpper();
                    ImageFormat imgFormat = ImageFormat.Png;

                    if (fileExtension == "BMP")
                    {
                        imgFormat = ImageFormat.Bmp;
                    }
                    else if (fileExtension == "JPG")
                    {
                        imgFormat = ImageFormat.Jpeg;
                    }
                    StreamWriter streamWriter = new StreamWriter(sfd.FileName, false);
                    resultBitmap.Save(streamWriter.BaseStream, imgFormat);

                    streamWriter.Flush();
                    streamWriter.Close();
                    resultBitmap = null;
                }
            }
        }

        private void EnableDoubleBuffered(DataGridView dgv, bool setting)
        {
            Type dgvType = dgv.GetType();
            PropertyInfo pi = dgvType.GetProperty("DoubleBuffered", BindingFlags.Instance | BindingFlags.NonPublic);
            pi.SetValue(dgv, setting, null);
        }

         private Bitmap generuj_histogram(int k)
        {
            Bitmap obrazek_bitmapa = new Bitmap(this.pictureFGLwynik.Image);
            Bitmap histogram = null;
            BitmapProcessing.FastBitmap fobrazek_bitmapa = new BitmapProcessing.FastBitmap(obrazek_bitmapa); 
           
            if (HSV)
            {
                int histogram_max=0;      
                double h, s, v;
                fobrazek_bitmapa.LockImage();
                for (int x = 0; x < obrazek_bitmapa.Width; x++)
                {
                    for (int y = 0; y < obrazek_bitmapa.Height; y++)
                    {
                        hsv.ColorToHSV(fobrazek_bitmapa.GetPixel(x, y), out h, out s, out v);
                        int temp_v = (int)(v * 255.0f);
                        histogram_hsv_values[temp_v]++;
                        if (histogram_hsv_values[temp_v] > histogram_max)
                            histogram_max = histogram_hsv_values[temp_v];
                    }
                }

                fobrazek_bitmapa.UnlockImage();
                double skala = (512.0f / (double)histogram_max) * ((double)pasek_skali.Value / 10.0f);
                histogram = new Bitmap(1024, 513);
                BitmapProcessing.FastBitmap fhistogram = new BitmapProcessing.FastBitmap(histogram);
                fhistogram.LockImage();
                for (int x1 = 0; x1 < 256; x1++)
                {
                    int tmp = (int)(histogram_hsv_values[x1] * skala);
                    for (int y1 = 0; y1 < 512; y1++)
                    {
                        if (y1 < tmp)
                        {
                            fhistogram.SetPixel(4 * x1, (int)(512 - y1), Color.Black);
                            fhistogram.SetPixel(4 * x1 + 1, (int)(512 - y1), Color.Black);
                            fhistogram.SetPixel(4 * x1 + 2, (int)(512 - y1), Color.Black);
                        }                       
                    }
                }

                fhistogram.UnlockImage();
            }
            else
            {
                int[] histogram_values_tmp;
                histogram_values_tmp = new int[256];
                int histogram_max = 0;
                fobrazek_bitmapa.LockImage();
                //Zliczanie wartości histogramu
                for (int x = 0; x < obrazek_bitmapa.Width; x++)
                {
                    for (int y = 0; y < obrazek_bitmapa.Height; y++)
                    {
                        if (k == 0 || k > 2)
                        {
                            histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).R]++;
                            histogram_values[fobrazek_bitmapa.GetPixel(x, y).R]++;
                            if (histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).R] > histogram_max)
                                histogram_max = histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).R];
                        }
                        if (k == 1)
                        {
                            histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).G]++;
                            if (histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).G] > histogram_max)
                                histogram_max = histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).G];
                        }
                        if (k == 2)
                        {
                            histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).B]++;
                            if (histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).B] > histogram_max)
                                histogram_max = histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).B];
                        }
                        if (k == 3)
                        {
                            histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).B]++;
                            if (histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).B] > histogram_max)
                                histogram_max = histogram_values_tmp[fobrazek_bitmapa.GetPixel(x, y).B];
                        }
                    }
                }
                fobrazek_bitmapa.UnlockImage();

                float skala = (512.0f / (float)histogram_max) * ((float)pasek_skali.Value / 10.0f);

               histogram = new Bitmap(1024, 513);
                BitmapProcessing.FastBitmap fhistogram = new BitmapProcessing.FastBitmap(histogram);
                Color slupki = Color.Black;
                if (k == 0)
                    slupki = Color.Red;
                if (k == 1)
                    slupki = Color.Green;
                if (k == 2)
                    slupki = Color.Blue;

                Color tlo = Color.White;

                fhistogram.LockImage();
                for (int x1 = 0; x1 < 256; x1++)
                {
                    int tmp = (int)(histogram_values_tmp[x1] * skala);
                    for (int y1 = 0; y1 < 512; y1++)
                    {
                        if (y1 < tmp)
                        {
                            fhistogram.SetPixel(4 * x1, (int)(512 - y1), slupki);
                            fhistogram.SetPixel(4 * x1 + 1, (int)(512 - y1), slupki);
                            fhistogram.SetPixel(4 * x1 + 2, (int)(512 - y1), slupki);
                        }
                        else
                        {
                            //fhistogram.SetPixel(4*x1, (int)(256 - y1), tlo);
                            //fhistogram.SetPixel(4 * x1+1, (int)(256 - y1), tlo);
                            //fhistogram.SetPixel(4 * x1+2, (int)(256 - y1), tlo);
                            //fhistogram.SetPixel(4 * x1+3, (int)(256 - y1), tlo);
                        }
                    }
                }
                fhistogram.UnlockImage();
            }
            return histogram;
        }

        private Bitmap generuj_histogram_kolory(int k)
        {
            Bitmap obrazek_bitmapa = new Bitmap(this.pictureFGLwynik.Image);
            if (histogram_kolory_values == null)
                histogram_kolory_values = new int[256,3];
            int histogram_max = 0;
            BitmapProcessing.FastBitmap fobrazek_bitmapa = new BitmapProcessing.FastBitmap(obrazek_bitmapa);
            fobrazek_bitmapa.LockImage();
            //Zliczanie wartości histogramu
            for (int x = 0; x < obrazek_bitmapa.Width; x++)
            {
                for (int y = 0; y < obrazek_bitmapa.Height; y++)
                {
                    histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).R, 0]++;
                    if (histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).R, 0] > histogram_max)
                        histogram_max = histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).R, 0];
                }
            }
            for (int x = 0; x < obrazek_bitmapa.Width; x++)
            {
                for (int y = 0; y < obrazek_bitmapa.Height; y++)
                {
                    histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).G, 1]++;
                    if (histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).G, 1] > histogram_max)
                        histogram_max = histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).G, 1];
                }
            }
            for (int x = 0; x < obrazek_bitmapa.Width; x++)
            {
                for (int y = 0; y < obrazek_bitmapa.Height; y++)
                {
                    histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).B, 2]++;
                    if (histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).B, 2] > histogram_max)
                        histogram_max = histogram_kolory_values[fobrazek_bitmapa.GetPixel(x, y).B, 2];
                }
            }
            fobrazek_bitmapa.UnlockImage();
            float skala = (512.0f / (float)histogram_max) ;
            Bitmap histogram = new Bitmap(1024, 513);
            BitmapProcessing.FastBitmap fhistogram = new BitmapProcessing.FastBitmap(histogram);
            fhistogram.LockImage();
            for (int x1 = 0; x1 < 256; x1++)
            {
                int tmpr = (int)(histogram_kolory_values[x1,0] * skala);
                int tmpg = (int)(histogram_kolory_values[x1,1] * skala);
                int tmpb = (int)(histogram_kolory_values[x1,2] * skala);
                //0,1,2 nie 3
                if (k < 3)
                {
                    for (int y1 = 0; y1 < 512; y1++)
                    {
                        if (y1 < tmpr)
                        {
                            fhistogram.SetPixel(4 * x1, (int)(512 - y1), Color.Red);
                        }
                    }
                }
                //0,1,3 nie 2
                if (k < 2 || k==3)
                {
                    for (int y1 = 0; y1 < 512; y1++)
                    {
                        if (y1 < tmpg)
                        {
                            fhistogram.SetPixel(4 * x1 + 1, (int)(512 - y1), Color.Green);
                        }
                    }
                }
                //0,2,3 nie 1
                if (k == 0 || k > 1)
                {
                    for (int y1 = 0; y1 < 512; y1++)
                    {
                        if (y1 < tmpb)
                        {
                            fhistogram.SetPixel(4 * x1 + 2, (int)(512 - y1), Color.Blue);
                        }
                    }
                }
            }
            fhistogram.UnlockImage();
            return histogram;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (this.radioSzary.Checked)
            {
            //    this.tab_histogram_Enter(this.pictureWynikHist.Image);
                this.generuj_histogram(0);
              //  this.groupHistogram.Visible = true;
            }
            if (this.radioKolorRGB.Checked)
            {
                this.HistogramRGB.Image = generuj_histogram_kolory(0);
                this.label5.Text = "rgb";
            }
            if (this.radioKolorHVS.Checked)
            { 
            
            }           
            EnableDoubleBuffered(this.dataGridTablica, true);
            int cols_width = 40;         
            Bitmap bmpTab = (Bitmap)this.pictureFGLwynik.Image;

            if (dataGridTablica.Columns.Count != bmpTab.Width || dataGridTablica.Rows.Count != bmpTab.Height)
            {
                dataGridTablica.Rows.Clear();
                dataGridTablica.Columns.Clear();
                dataGridTablica.RowHeadersWidth = 60;
                for (int x = 0; x < bmpTab.Width; x++)
                {
                    dataGridTablica.Columns.Add(null, x.ToString());
                    dataGridTablica.Columns[x].Width = cols_width;
                    dataGridTablica.Columns[x].FillWeight = 0.0000001f;
                }
                dataGridTablica.Rows.Add(bmpTab.Height);
                for (int y = 0; y < bmpTab.Height; y++)
                {
                    dataGridTablica.Rows[y].HeaderCell.Value = y.ToString();
                }
            }
            for (int x = 0; x < bmpTab.Width; x++)
            {
                for (int y = 0; y < bmpTab.Height; y++)
                {
                    dataGridTablica[x, y].Value = bmpTab.GetPixel(x, y).R;
                }
            } 
        }

        private void pasek_skali_Scroll(object sender, EventArgs e)
        {
            wartosc_skali.Text = ((double)pasek_skali.Value / 10.0f).ToString();
            this.HistogramGrey.Image = generuj_histogram(4);
        }

        private void buttpn_red_Click(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram(0);
        }

        private void button_green_Click(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram(1);
        }

        private void button_blue_Click(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram(2);
        }

        private void button_wszystkie_Click(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram_kolory(0);
        }

        private void button8_Click(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram_kolory(1);
        }

        private void button7_Click(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram_kolory(2);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram_kolory(3);
        }

        private void dataGridView2_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            dataGridW.AutoResizeColumns();
            dataGridW.AutoResizeRows();
        }

        private void dataGridView2_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
        {
            dataGridW.AutoResizeColumns();
            dataGridW.AutoResizeRows();
        }

        private void dataGridView1_CellEndEdit(object sender, DataGridViewCellEventArgs e)
        {
            dataGridGrey.AutoResizeColumns();
            dataGridGrey.AutoResizeRows();
        }

        private void dataGridView1_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
        {
            dataGridGrey.AutoResizeColumns();
            dataGridGrey.AutoResizeRows();
        }
      
        private void buttonWybierzM_Click_1(object sender, EventArgs e)
        {
            ApplyFilter(true);
            /*
            if (this.radioBrzegiIgnor.Checked)
            {
                tryb = -1;
                ApplyFilter(true);
            }
            if (this.radioBrzegiCopy.Checked)
            {
                tryb = -2;
                ApplyFilter(true);
            }
            if (this.radioBrzegSzary.Checked)
            {
                groupGrey.Visible = true;
                tryb = trackGrey.Value;
             ApplyFilter(true);
            }
             */
        }

        private void trackGrey_Scroll_1(object sender, EventArgs e)
        {
            this.labelGrey.BackColor = Color.FromArgb(trackGrey.Value, trackGrey.Value, trackGrey.Value);
            textGrey.Text = trackGrey.Value.ToString();
        }

        private void textGrey_TextChanged_1(object sender, EventArgs e)
        {
            /*
            int a;
            int pom = this.trackGrey.Value;
            try
            {
                a = Convert.ToInt32(this.textGrey.Text);
            }
            catch (FormatException)
            {
                a = pom;
            }
            if (a < 0)
                a = 0;
            else if (a > 255)
                a = 255;

            this.textGrey.Text = a.ToString();
            this.labelGrey.BackColor = Color.FromArgb(a, a, a);
            this.trackGrey.Value = a;
             */
        }

        private void trackGrey2_Scroll(object sender, EventArgs e)
        {
            this.labelGreyW.BackColor = Color.FromArgb(trackGreyW.Value, trackGreyW.Value, trackGreyW.Value);
            textGreyW.Text = trackGreyW.Value.ToString();
            labelBrzegW.BackColor = this.labelGreyW.BackColor;
            labelBrzegW.Visible = true;
        }

        private void buttonWybierzMWlasna_Click(object sender, EventArgs e)
        {
            int rozmiar = Convert.ToInt32(this.maskaNR.Text);
            if (rozmiar <= 11 && rozmiar > 2)
            {              
                tab = new int[rozmiar, rozmiar];
                for (int i = 0; i < rozmiar; i++)
                {
                    for (int j = 0; j < rozmiar; j++)
                    {
                        try
                        {
                            tab[i, j] = Convert.ToInt32(dataGridGrey.Rows[i].Cells[j].Value.ToString());
                        }
                        catch (FormatException)
                        {
                            tab[i, j] = 0;
                        }
                        catch (NullReferenceException)
                        {
                            tab[i, j] = 0;
                        }
                    }
                }                    
            }
        

            if (this.radioBrzegiIgnorW.Checked)
            {   
                tryb = -1;           
            }
            if (this.radioBrzegiCopyW.Checked)
            {
                tryb = this.trackGreyW.Value;
            }
            if (this.radioBrzegiSzaryW.Checked)
            {
                tryb = -2;
            }
        }

        private void maskaNR_TextChanged_1(object sender, EventArgs e)
        {

          int rozmiar = 3;
            if (maskaNR.Text != "")
            {
                try
                {
                    rozmiar = Convert.ToInt32(maskaNR.Text);
                    if (rozmiar <= 9 && rozmiar > 2)
                    {
                        dataGridW.ColumnCount = rozmiar;
                        dataGridW.RowCount = rozmiar;
                        dataGridW.EditMode = DataGridViewEditMode.EditOnEnter;
                    }
                    else
                    {
                        MessageBox.Show("Podany rozmiar maski jest nieprawidłowy (podaj wartość od 3 do 9)", "APO_BB_DK_v012013 - filtry...", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                        maskaNR.Text = "3";
                    }
                }
                catch (FormatException)
                {
                    maskaNR.Text = "3";
                    MessageBox.Show("Podaj poprawny rozmiar maski!", "APO_BB_DK_v012013 - filtry...", MessageBoxButtons.OK, MessageBoxIcon.Warning);
                }
            }
        }

        private void button_green_Click_1(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram(1);
        }

        private void button_blue_Click_1(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram(2);
        }

        private void button_wszystkie_Click_1(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram_kolory(0);
        }

        private void button8_Click_1(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram_kolory(1);
        }

        private void button5_Click_1(object sender, EventArgs e)
        {
            this.HistogramRGB.Image = generuj_histogram_kolory(3);
        }

        private void radioBrzegiSzary_CheckedChanged(object sender, EventArgs e)
        {
                tryb = trackGrey.Value;
                groupGrey.Visible = true;                                                                                                  
        }

        private void radioBrzegiSzary2_CheckedChanged(object sender, EventArgs e)
        {
            bmpForBrzeg = -3; 
            if (radioBrzegiSzaryW.Checked)
            {
                tryb = -1;

                tabWlasnaRGB.Visible = true;
            }
            else
                tabWlasnaRGB.Visible = false;
            labelBrzegW.Visible = false;                                                                                          
        }

        private void labelGrey_Click(object sender, EventArgs e)
        {

        }

        private void textGrey_TextChanged(object sender, EventArgs e)
        {
            /*
            int a;
            int pom = this.trackGrey.Value;
            try
            {
                a = Convert.ToInt32(this.trackGrey.Text);
            }
            catch (FormatException)
            {
                a = pom;
            }
            if (a < 0)
                a = 0;
            else if (a > 255)
                a = 255;
            trackGrey.Text = a.ToString();
            this.labelGrey.BackColor = Color.FromArgb(a, a, a);
            trackGrey.Value = a;
             */
        }

        private void trackRed_Scroll(object sender, EventArgs e)
        {

        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            this.tabFiltryRGB.Visible = false;
            labelBrzegRGB.Visible = false;                                                                                   
        }

        private void radioButton3_CheckedChanged(object sender, EventArgs e)
        {
            this.tabFiltryRGB.Visible = false;
            labelBrzegRGB.Visible = false;  
        }

        private void trackBlue_Scroll(object sender, EventArgs e)
        {
            this.labelBlueRGB.BackColor = Color.Blue;
            this.textBlueRGB.Text = this.trackBlueRGB.Value.ToString();
        }

        private void trackRed_Scroll_1(object sender, EventArgs e)
        {
             this.labelRedRGB.BackColor = Color.Red;
            this.textRedRGB.Text = this.trackRedRGB.Value.ToString();
        }

        private void trackGreen_Scroll(object sender, EventArgs e)
        {
             this.labelGreenRGB.BackColor = Color.Green;
            this.textGreenRGB.Text = this.trackGreenRGB.Value.ToString();
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {

        }

        private void textBox3_TextChanged(object sender, EventArgs e)
        {

        }

        private void textGrey2_TextChanged(object sender, EventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (this.radioBrzegiIgnorRGB.Checked)
            {
            //    tryb = -1;   
                this.tabFiltryRGB.Visible = false;
            }
            else if (this.radioBrzegiCopyRGB.Checked)
            {
                this.tabFiltryRGB.Visible = false;

            }
            else if (this.radioBrzegiIgnorRGB.Checked)
            {
                this.tabFiltryRGB.Visible = true;  
                labelBrzegRGB.BackColor = Color.FromArgb(trackRedRGB.Value, trackGreenRGB.Value, trackBlueRGB.Value);
            }
                                                                                                              
          }
            
            


        private void label14_Click(object sender, EventArgs e)
        {

        }

        private void trackRedW_Scroll(object sender, EventArgs e)
        {
            this.labelRedW.BackColor = Color.Red;
            this.textRedW.Text = this.trackRedW.Value.ToString();
            labelBrzegW.Visible = true;
        }

        private void trackGreenW_Scroll(object sender, EventArgs e)
        {
            this.labelGreenW.BackColor = Color.Green;
            this.textGreenW.Text = this.trackGreenW.Value.ToString();
            labelBrzegW.Visible = true;
        }

        private void trackBlueW_Scroll(object sender, EventArgs e)
        {
            this.labelBlueW.BackColor = Color.Blue;
            this.textBlueW.Text = this.trackBlueW.Value.ToString();
            labelBrzegW.Visible = true;
        }

        private void button4_Click(object sender, EventArgs e)
        {
           int maskaNr = Convert.ToInt32(maskaNR.Text);
           tab = new int [maskaNr, maskaNr];
           for (int i = 0; i < maskaNr; i++)
           {
               for (int j = 0; j < maskaNr; j++)
               {
                   try
                   {
                       tab[i, j] = Convert.ToInt32(this.dataGridW.Rows[i].Cells[j].Value.ToString());
                   }
                   catch (FormatException)
                   {
                       tab[i, j] = 0;
                   }
                   catch (NullReferenceException)
                   {
                       tab[i, j] = 0;
                   }
               }
           }


                if (this.radioSzary.Checked)                                  // OBRAZ SZARY
                {
                   labelBrzegW.BackColor = Color.FromArgb(trackGreyW.Value, trackGreyW.Value, trackGreyW.Value);
                   filtry f = new filtry();
                   bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                   if (radioBrzegiIgnorW.Checked)                          //bez korekty obrazu -> IGNORUJ BRZEGI OBRAZU
                   {
                       bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                       bmpRGB = f.filtruj(bmpRGB, tab, -1);                // kopuiuje skrajne brzegi w kolorze                                             
                       pictureFGLwynik.Image = bmpRGB;                   
                   }
                   else if (this.radioBrzegiCopyW.Checked)                 //Z KOREKTĄ obrazu -> KOPIOWANIE BRZEGUI OBRAZU
                   {
                       bmpRGB = (Bitmap)this.pictureFGLwynik.Image;
                       bmpRGB = f.filtruj(bmpRGB, tab, -2);                // kopuiuje skrajne brzegi w kolorze                        
                       pictureFGLwynik.Image = bmpRGB;                   
                   }
                   else if (radioBrzegiSzaryW.Checked)                    //Z KOREKTĄ obrazu -> DODANIE KOLOROWEJ RAMKI OBRAZU
                   {
                     bmpRGB = (Bitmap)this.pictureFGLwynik.Image;            
                     int x = trackGreyW.Value;
                     bmpRGB = f.filtruj(bmpRGB, tab, x);  // kolor ramki            
                     pictureFGLwynik.Image = bmpRGB;           
                  }
                }

                else if (this.radioKolorRGB.Checked)                           // OBRAZ RGB
                {
                    labelBrzegW.BackColor = Color.FromArgb(trackRedW.Value, trackGreenW.Value, trackBlueW.Value);
                    filtry f = new filtry();
                    bmpRGB = (Bitmap)this.pictureFGLwynik.Image;

                    if (radioBrzegiIgnorW.Checked)                               //bez korekty obrazu -> IGNORUJ BRZEGI OBRAZU
                    {
                        bmpRGB = f.filtruj(bmpRGB, tab, -1);                // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (this.radioBrzegiCopyW.Checked)                         //Z KOREKTĄ obrazu -> KOPIOWANIE BRZEGUI OBRAZU
                    {
                        bmpRGB = f.filtruj(bmpRGB, tab, -2);                // kopuiuje skrajne brzegi w kolorze                        
                        pictureFGLwynik.Image = bmpRGB;
                    }
                    else if (radioBrzegiSzaryW.Checked)                        //Z KOREKTĄ obrazu -> DODANIE KOLOROWEJ RAMKI OBRAZU
                    {
                        labelBrzegW.BackColor = Color.FromArgb(trackRedW.Value, trackGreenW.Value, trackBlueW.Value);
                        int x = trackGreyW.Value;
                        bmpRGB = f.filtruj(bmpRGB, tab, x);  // kolor ramki            
                        pictureFGLwynik.Image = bmpRGB;
                    }

                }
                else if (bmpFormat == -3)                            // OBRAZ HSV
                {
                    if (bmpForBrzeg == -1)                               //bez korekty obrazu -> IGNORUJ BRZEGI OBRAZU  (-1)
                    { }
                    else if (bmpForBrzeg == -2)                         //Z KOREKTĄ obrazu -> KOPIOWANIE BRZEGUI OBRAZU (-2)
                    { }
                    else if (bmpForBrzeg == -3)                        //Z KOREKTĄ obrazu -> DODANIE KOLOROWEJ RAMKI OBRAZU (-3)
                    { }
                }


                else if (this.radioKolorRGB.Checked)
                {
                    labelBrzegW.BackColor = Color.FromArgb(trackRedW.Value, trackGreenW.Value, trackBlueW.Value);
                }
                else if (this.radioKolorHVS.Checked)
                {
                    labelBrzegW.BackColor = Color.FromArgb(trackRedW.Value, trackGreenW.Value, trackBlueW.Value);
                }                 
        
    }

        //----------
        /*
         else if (aktywna_maska == -1)

                //MessageBox.Show(cos);
                ok = true;
                if (radioButton1.Checked)
                {
                    tryb = -1;
                }
                else if (radioButton2.Checked)
                {
                    tryb = trackBar1.Value;
                }
                else
                {
                    tryb = -2;
                }
                Close();
            }
            else
            {
                MessageBox.Show("Nie wybrałeś filtru", "Fotoszop CS4 - filtry...", MessageBoxButtons.OK, MessageBoxIcon.Warning);
            }
        }
        //----------
        */

        private void pictureFGLwynik_Click(object sender, EventArgs e)
        {
           /*
            ObrazMax oMax = new ObrazMax();
            oMax.pictureMaxZoom.Image = this.pictureFGLwynik.Image;
            Label x = new Label();
            x.Text = label3.Text;
            oMax.Text = "Obraz 2 Pierwotny " + x.Text;
            oMax.Show();
            */
        }

        private void pictureFGL_Click(object sender, EventArgs e)
        {
           /*
            ObrazMax oMax = new ObrazMax();
            oMax.pictureMaxZoom.Image = this.pictureFGL.Image;
            Label x = new Label();
            x.Text = label3.Text;
            oMax.Text = "Obraz 2 Pierwotny " + x.Text;
            oMax.Show();
            */
        }

        private void radioBrzegiIgnor_CheckedChanged(object sender, EventArgs e)
        {
            groupGrey.Visible = false;
            tryb = -1;
            ApplyFilter(true);
        }

        private void radioBrzegiCopy_CheckedChanged(object sender, EventArgs e)
        {
            groupGrey.Visible = false;
            tryb = -2;
            ApplyFilter(true);
        }

        private void button3_Click_1(object sender, EventArgs e)
        {

        }

        private void radioBrzegiIgnor2_CheckedChanged(object sender, EventArgs e)
        {
            bmpForBrzeg =-2;
        }

        private void radioBrzegiCopy2_CheckedChanged(object sender, EventArgs e)
        {
            bmpForBrzeg = -1;
        }

        private void pictureFGLwynik_Click_1(object sender, EventArgs e)
        {          
            ObrazMax oMax = new ObrazMax();
            oMax.pictureMaxZoom.Image = pictureFGLwynik.Image;
            //    this.pictureObraz2.SizeMode = PictureBoxSizeMode.StretchImage;
            oMax.pictureMaxZoom.SizeMode = PictureBoxSizeMode.Zoom;
            Label x1 = new Label();
            x1.Text = label3.Text;
            oMax.Text = "Obraz Wynikowy " + x1.Text;
            oMax.Show();
            
        }

        private void button9_Click(object sender, EventArgs e)
        {
            FiltracjaLiniowa fl = new FiltracjaLiniowa();
            Bitmap bm = (Bitmap)this.pictureFGLwynik.Image;
            filtry f = new filtry();
            int[] fx = {1,1,1,1,1, 1,1,1,1,1, 1,1,1,1,1, 1,1,1,1,1, 1,1,1,1,1};
            int[] f1 = {  1, 1, 1 ,  1, 1, 1,  1, 1, 1  }; // usredniajacy
            int[] f2 = {  1, 1, 1, 1, 1 ,  1, 1, 1, 1, 1 ,  1, 1, 1, 1, 1 ,  1, 1, 1, 1, 1 ,  1, 1, 1, 1, 1  }; // kwadratowy
            int[] f3 = {  0, 1, 1, 1, 0 , 1, 1, 1, 1, 1 ,  1, 1, 1, 1, 1 ,  1, 1, 1, 1, 1 ,  0, 1, 1, 1, 0  }; // kolowy
            int[] f4 = {  1, 1, 1 ,  1, 2, 1 , 1, 1, 1  }; // LP1
            int[] f5 = {  1, 1, 1 ,  1, 4, 1 ,  1, 1, 1 }; // LP2
            int[] f6 = { 1, 1, 1 , 1, 12, 1 ,  1, 1, 1  }; // LP3
            int[] f7 = {  1, 2, 3, 2, 1, 2, 4, 6, 4, 2 ,  3, 6, 9, 6, 3 ,  2, 4, 6, 4, 2 ,  1, 2, 3, 2, 1  }; // piramidalny
            int[] f8 = {  0, 0, 1, 0, 0 ,  0, 2, 2, 2, 0 ,  1, 2, 5, 2, 1 ,  0, 2, 2, 2, 0 ,  0, 0, 1, 0, 0  }; // stozkowy
            int[] f9 = { 1, 2, 1 ,  2, 4, 2, 1, 2, 1  }; // gauss 1
            int[] f10 = { 1, 1, 2, 1, 1 , 1, 2, 4, 2, 1 , 2, 4, 8, 4, 2 , 1, 2, 4, 2, 1 , 1, 1, 2, 1, 1  }; // gauss 2
            int[] f11 = { 0, 1, 2, 1, 0 , 1, 4, 8, 4, 1 , 2, 8, 16, 8, 2 , 1, 4, 8, 4, 1 , 0, 1, 2, 1, 0  }; // gauss 3
            int[] f12 = { 1, 4, 7, 4, 1 , 4, 16, 26, 16, 4, 7, 26, 41, 26, 7 , 4, 16, 26, 16, 4 , 1, 4, 7, 4, 1  }; // gauss 4
            int[] f13 = { 1, 1, 2, 2, 2, 1, 1 , 1, 2, 2, 4, 2, 2, 1, 2, 2, 4, 8, 4, 2, 2 ,2, 4, 8, 16, 8, 4, 2 ,2, 2, 4, 8, 4, 2, 2 , 1, 2, 2, 4, 2, 2, 1 , 1, 1, 2, 2, 2, 1, 1  }; // gauss 5

              //     (Bitmap src, int[] vals, int dzielnik, int metoda)
           bm =  fl.filtracja_liniowa(bm, fil, fx.Length, 1);
            
           
           TextBox tx = new TextBox();
            tx = this.textBox4;
            int n;
            n = Convert.ToInt32(tx.Text);
            switch (n)
            {
                case 1: bm = fl.filtracja_liniowa(bm, f1, fx.Length, 1);
                    break;
                case 2: bm = fl.filtracja_liniowa(bm, f2, fx.Length, 1);
                    break;
                case 3: bm = fl.filtracja_liniowa(bm, f3, fx.Length, 1);
                    break;
                case 4: bm = fl.filtracja_liniowa(bm, f4, fx.Length, 1);
                    break;
                case 5: bm = fl.filtracja_liniowa(bm, f5, fx.Length, 1);
                    break;
                case 6: bm = fl.filtracja_liniowa(bm, f6, fx.Length, 1);
                    break;
                case 7: bm = fl.filtracja_liniowa(bm, f7, fx.Length, 1);
                    break;
                case 8: bm = fl.filtracja_liniowa(bm, f8, fx.Length, 1);
                    break;
                case 9: bm = fl.filtracja_liniowa(bm, f9, fx.Length, 1);
                    break;
                case 10: bm = fl.filtracja_liniowa(bm, f10, fx.Length, 1);
                    break;
                case 11: bm = fl.filtracja_liniowa(bm, f11, fx.Length, 1);
                    break;
                case 12: bm = fl.filtracja_liniowa(bm, f12, fx.Length, 1);
                    break;
                case 13: bm = fl.filtracja_liniowa(bm, f13, fx.Length, 1);
                    break;
                default: bm = fl.filtracja_liniowa(bm, fx, fx.Length, 1);
                    break;           
            }


         //   fil = Convert.ToBase64CharArray.tx.Text;

           //    Convert.ToInt32(this.maskaNR.Text);

           pictureFGLwynik.Image = bm;

        }

        /*
        Bitmap punktuj = new Bitmap(60,60);
            pictureBox1.Image = punktuj;
            punktuj.SetPixel(2, 2, Color.OrangeRed);

        */

       /*
        private void pictureFGL_MouseMove1(object sender, MouseEventArgs e)
        {

            int x = e.X;
            int y = e.Y;
            Graphics punktuj = pictureFGL.CreateGraphics();
            //rysuje jeden okrąg o grubości 2 px
            punktuj.DrawEllipse(new Pen(Color.OrangeRed, 2), new Rectangle(x, y, 4, 4));
            //pictureBox1.Invalidate(); czyści narysowany obiekt
        }
        */

        private void pictureFGL_MouseMove(object sender, MouseEventArgs e)
        {
            int x, y;
            x = MousePosition.X;
            y = MousePosition.Y;
            
            MessageBox.Show(x+" "+y);
        //    this.label15.Text = x+ " ,"+ y;
        //    label15.Refresh();
        
        }

        private void pictureFGL_Click_1(object sender, EventArgs e)
        {
         //   int x, y;

        }


        protected Point TranslateStretchImageMousePosition(Point coordinates)
        {
            // test to make sure our image is not null
            if (this.pictureFGL.Image == null) return coordinates;
            // Make sure our control width and height are not 0
            if (Width == 0 || Height == 0) return coordinates;
            // First, get the ratio (image to control) the height and width
            float ratioWidth = (float)pictureFGL.Image.Width / Width;
            float ratioHeight = (float)pictureFGL.Image.Height / Height;
            // Scale the points by our ratio
            float newX = coordinates.X;
            float newY = coordinates.Y;
            newX *= ratioWidth;
            newY *= ratioHeight;
            return new Point((int)newX, (int)newY);
        }

        private void textBox5_TextChanged(object sender, EventArgs e)
        {

        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            if (checkDzielnikRGB.Checked)
            {
                this.textDzielnikRGB.Enabled = false;
            }
            else
            {
                this.textDzielnikRGB.Enabled = true;
            }
            
            //this.textDzielnik.Enabled = true;      
        }

        private void groupGrey_Enter(object sender, EventArgs e)
        {

        }

        private void radioBrzegiIgnorSz_CheckedChanged(object sender, EventArgs e)
        {
            groupGrey.Visible = false;
        }

        private void radioBrzegiCopySz_CheckedChanged(object sender, EventArgs e)
        {
            groupGrey.Visible = false;
        }

        private void radioButton6_CheckedChanged(object sender, EventArgs e)
        {
            metod = 1;
        }

        private void radioBrzegiMinSz_CheckedChanged(object sender, EventArgs e)
        {
            groupGrey.Visible = false;
        }

        private void radioBrzegiMaxSz_CheckedChanged(object sender, EventArgs e)
        {
            groupGrey.Visible = false;
        }

        private void checkBox1_CheckedChanged_1(object sender, EventArgs e)
        {
            if (this.checkDzielnikSz.Checked)
            {
                this.textDzielnikSz.Enabled = false;
            }
            else
            {
                this.textDzielnikSz.Enabled = true;
            }
        }

        private void checkDzielnikHSV_CheckedChanged(object sender, EventArgs e)
        {
            if (this.checkDzielnikHSV.Checked)
            {
                this.textDzielnikHSV.Enabled = false;
            }
            else
            {
                this.textDzielnikHSV.Enabled = true;
            }
            
        }

        private void checkDzielnikW_CheckedChanged(object sender, EventArgs e)
        {
            if (this.checkDzielnikW.Checked)
            {
                this.textDzielnikW.Enabled = false;
            }
            else
            {
                this.textDzielnikW.Enabled = true;
            }
            
        }

        private void radioBrzegKolorRGB_CheckedChanged(object sender, EventArgs e)
        {
            this.tabFiltryRGB.Visible = true;
        }

        private void radioBrzegMinRGB_CheckedChanged(object sender, EventArgs e)
        {
            this.tabFiltryRGB.Visible = false;
            labelBrzegRGB.Visible = false;  
        }

        private void radioBrzegMaxRGB_CheckedChanged(object sender, EventArgs e)
        {
            this.tabFiltryRGB.Visible = false;
            labelBrzegRGB.Visible = false;  
        }

        private void radioBrzegiIgnorHSV_CheckedChanged(object sender, EventArgs e)
        {
            tabFiltryHSV.Visible = false;
            labelBrzegHSV.Visible = false;
        }

        private void radioBrzegHSV_CheckedChanged(object sender, EventArgs e)
        {
            tabFiltryHSV.Visible = true;
        }

        private void radioBrzegiCopyHSV_CheckedChanged(object sender, EventArgs e)
        {
            tabFiltryHSV.Visible = false;
            labelBrzegHSV.Visible = false;
        }

        private void radioBrzegiMinHSV_CheckedChanged(object sender, EventArgs e)
        {
            tabFiltryHSV.Visible = false;
            labelBrzegHSV.Visible = false;
        }

        private void radioBrzegiMaxHSV_CheckedChanged(object sender, EventArgs e)
        {
            tabFiltryHSV.Visible = false;
            labelBrzegHSV.Visible = false;
        }

        private void radioBrzegiIgnorW_CheckedChanged(object sender, EventArgs e)
        {
            tabWlasnaRGB.Visible = false;
            labelBrzegW.Visible = false;
        }

        private void radioBrzegiCopyW_CheckedChanged(object sender, EventArgs e)
        {
            tabWlasnaRGB.Visible = false;
            labelBrzegW.Visible = false;
        }

        private void radioBrzegiMinW_CheckedChanged(object sender, EventArgs e)
        {
            tabWlasnaRGB.Visible = false;
            labelBrzegW.Visible = false;
        }

        private void radioBrzegiMaxW_CheckedChanged(object sender, EventArgs e)
        {
            tabWlasnaRGB.Visible = false;
            labelBrzegW.Visible = false;
        }

        private void trackBar1_Scroll(object sender, EventArgs e)
        {
            this.labelGreyRGB.BackColor = Color.FromArgb(this.trackGreyRGB.Value, trackGreyRGB.Value, trackGreyRGB.Value);
            textGreyRGB.Text = this.trackGreyRGB.Value.ToString();
            labelBrzegRGB.BackColor = labelGreyRGB.BackColor;
            labelBrzegRGB.Visible = true;
        }

        private void trackBlueHSV_Scroll(object sender, EventArgs e)
        {

        }

        private void trackGreyHSV_Scroll(object sender, EventArgs e)
        {            
            this.labelGreyHSV.BackColor = Color.FromArgb(this.trackGreyHSV.Value, trackGreyHSV.Value, trackGreyHSV.Value);
            this.textGreyHSV.Text = this.trackGreyHSV.Value.ToString();
            this.labelBrzegHSV.BackColor = labelGreyHSV.BackColor;
            labelBrzegHSV.Visible = true;
        }

        private void trackRedHSV_Scroll(object sender, EventArgs e)
        {
            this.labelRedHSV.BackColor = Color.Red;
            this.textRedHSV.Text = this.trackRedHSV.Value.ToString();
            labelBrzegHSV.Visible = true;
        }

        private void trackGeenHSV_Scroll(object sender, EventArgs e)
        {
            this.labelGeenHSV.BackColor = Color.Green;
            this.textGeenHSV.Text = this.trackGeenHSV.Value.ToString();
            labelBrzegHSV.Visible = true;
        }

        private void trackBlueHSV_Scroll_1(object sender, EventArgs e)
        {
            this.labelBlueHSV.BackColor = Color.Blue;
            this.textBlueHSV.Text = this.trackBlueHSV.Value.ToString();
            labelBrzegHSV.Visible = true;
        }

        private void button6_Click(object sender, EventArgs e)
        {

        }

        private void checkBox1_CheckedChanged_2(object sender, EventArgs e)
        {
            if (this.checkSzaryHSV.Checked)
            {
                this.labelBrzegHSV.BackColor = Color.FromArgb(trackGreyHSV.Value, trackGreyHSV.Value, trackGreyHSV.Value);
                labelBrzegHSV.Visible = true;
            }
            else
            {
                this.labelBrzegHSV.BackColor = Color.FromArgb(trackRedHSV.Value, trackGeenHSV.Value, trackBlueHSV.Value);
                labelBrzegHSV.Visible = true;
            }
        }

        private void checkSzaryRGB_CheckedChanged(object sender, EventArgs e)
        {
            if (this.checkSzaryRGB.Checked)
            {
                this.labelBrzegRGB.BackColor = Color.FromArgb(trackGreyRGB.Value, trackGreyRGB.Value, trackGreyRGB.Value);
                labelBrzegRGB.Visible = true;
            }
            else
            {                
                this.labelBrzegRGB.BackColor = Color.FromArgb(trackRedRGB.Value, trackGreenRGB.Value, trackBlueRGB.Value);
                labelBrzegRGB.Visible = true;
            }
        }

        private void checkSzaryW_CheckedChanged(object sender, EventArgs e)
        {
            if (this.checkSzaryW.Checked)
            {
                this.labelBrzegW.BackColor = Color.FromArgb(trackGreyW.Value, trackGreyW.Value, trackGreyW.Value);
                labelBrzegW.Refresh();
            }
            else
            {
                this.labelBrzegW.BackColor = Color.FromArgb(trackRedW.Value, trackGreenW.Value, trackBlueW.Value);
                labelBrzegW.Refresh();
            }
        }

        private void radioSkalowanie2Sz_CheckedChanged(object sender, EventArgs e)
        {
            metod = 2;
        }

        private void radioSkalowanie3Sz_CheckedChanged(object sender, EventArgs e)
        {
            metod = 3;
        }

        private void radioSkalowanie1RGB_CheckedChanged(object sender, EventArgs e)
        {
            metod = 1;
        }

        private void radioSkalowanie2RGB_CheckedChanged(object sender, EventArgs e)
        {
            metod = 2;
        }

        private void radioSkalowanie3RGB_CheckedChanged(object sender, EventArgs e)
        {
            metod = 3;
        }

        private void radioSkalowanie1HSV_CheckedChanged(object sender, EventArgs e)
        {
            metod = 1;
        }

        private void radioSkalowanie2HSV_CheckedChanged(object sender, EventArgs e)
        {
            metod = 2;
        }

        private void radioSkalowanie3HSV_CheckedChanged(object sender, EventArgs e)
        {
            metod = 3;
        }

        private void radioSkalowanie1W_CheckedChanged(object sender, EventArgs e)
        {
            metod = 1;
        }

        private void radioSkalowanie2W_CheckedChanged(object sender, EventArgs e)
        {
            metod = 2;
        }

        private void radioSkalowanie3W_CheckedChanged(object sender, EventArgs e)
        {
            metod = 3;
        }

        private void radioKolorRGB_CheckedChanged(object sender, EventArgs e)
        {

        }


        //------------------------------
        /*
        private void ApplyFilter(bool preview)
        {
            if (previewBitmap == null)
            {
                return;
            }

              ConvolutionFilterBase filter = null;

            if (comboBoxFGL.SelectedItem is ConvolutionFilterBase)
            {
              filter = (ConvolutionFilterBase)comboBoxFGL.SelectedItem;
            }

            if (preview == true)
            {
                pictureFGLwynik.Image = previewBitmap.ConvolutionFilter(filter);
            }         
            else
            {
                resultBitmap = originalBitmap.ConvolutionFilter(filter);
            }
        }
        */
        //------------------------------
  
    
    }     
  }      
