using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace APO
{
    public partial class _form_progowanie_hsv : Form
    {
        private Bitmap src_thumbnail;
        public _form_progowanie_hsv(Bitmap src)
        {
            
            InitializeComponent();
            
            int new_height = src.Height;
            int new_width = src.Width;
            while (new_height > 300 || new_width > 400)
            {
                new_height = (int)(new_height / 1.05f);
                new_width = (int)(new_width / 1.05f);
            }
            if (src != null)
            {
                src_thumbnail = new Bitmap(src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero));
                preview.Image = src.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero);
            }

        }
        public double prog
        {
            set{}
            get { 
                return ((double) value.Value/ 100000.0f);
            }
        }
        private void value_Scroll(object sender, EventArgs e)
        {
            label_value.Text = prog.ToString();
            preview.Image = functions.progowanie_hsv(new Bitmap(src_thumbnail), prog);
        }

        
    }
}