using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace APO
{
    public partial class _form_xor : Form
    {
        private Bitmap src_thumbnailA=null,src_thumbnailB=null;
        List<APO.Form1._img> images;
        public Bitmap bitmapA
        {
            get
            {
                if (obrazekA.Text != "" && images !=null)
                {
                    foreach (APO.Form1._img i in images)
                    {
                        if (i.form.Text == obrazekA.Text)
                        {
                            return i.form.get_image;
                            
                        }
                    }
                }
                return null;
            }
            set { }
        }
        public Bitmap bitmapB
        {
            get
            {
                if (obrazekB.Text != "" && images != null)
                {
                    foreach (APO.Form1._img i in images)
                    {
                        if (i.form.Text == obrazekB.Text)
                        {
                            return i.form.get_image;

                        }
                    }
                }
                return null;
            }
            set { }
        }
        public _form_xor(List<APO.Form1._img> images)
        {
            
            InitializeComponent();
            this.images = images;
            foreach (APO.Form1._img i in images)
            {
                obrazekA.Items.Add(i.form.Text);
                obrazekB.Items.Add(i.form.Text);
            }
        }
       
       

        
        private void generate_preview()
        {
            if (src_thumbnailA != null & src_thumbnailB != null)
            {
                preview.Image = functions.xor(src_thumbnailA, src_thumbnailB);
            }
        }
        private void obrazekA_SelectedIndexChanged(object sender, EventArgs e)
        {
            foreach (APO.Form1._img i in images)
            {
                if(i.form.Text==obrazekA.Text)
                {
                    int new_height = i.form.get_image.Height;
                    int new_width = i.form.get_image.Width;
                    while (new_height > 300 || new_width > 400)
                    {
                        new_height = (int)(new_height / 1.05f);
                        new_width = (int)(new_width / 1.05f);
                    }
                    src_thumbnailA = new Bitmap(i.form.get_image.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero));
                    break;    
                }
            }
            generate_preview();
            
        }

        private void obrazekB_SelectedIndexChanged(object sender, EventArgs e)
        {
            foreach (APO.Form1._img i in images)
            {
                if (i.form.Text == obrazekB.Text)
                {
                    int new_height = i.form.get_image.Height;
                    int new_width = i.form.get_image.Width;
                    while (new_height > 300 || new_width > 400)
                    {
                        new_height = (int)(new_height / 1.05f);
                        new_width = (int)(new_width / 1.05f);
                    }
                    src_thumbnailB = new Bitmap(i.form.get_image.GetThumbnailImage(new_width, new_height, null, System.IntPtr.Zero));
                    break;
                }
            }
            generate_preview();
        }

        
    }
}