using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace APO_BB_DK_v012013
{
    class  filtry
    {
       private List<int[,]> fx;


        public filtry()
        {
            List<int[,]> f;
            f = new List<int[,]>(50); // wykorzystuje 47 jak na razie

            // maski wygladzajace (FD):
            int[,] f1 = { { 1, 1, 1 }, { 1, 1, 1 }, { 1, 1, 1 } }; // usredniajacy
            int[,] f2 = { { 1, 1, 1, 1, 1 }, { 1, 1, 1, 1, 1 }, { 1, 1, 1, 1, 1 }, { 1, 1, 1, 1, 1 }, { 1, 1, 1, 1, 1 } }; // kwadratowy
            int[,] f3 = { { 0, 1, 1, 1, 0 }, { 1, 1, 1, 1, 1 }, { 1, 1, 1, 1, 1 }, { 1, 1, 1, 1, 1 }, { 0, 1, 1, 1, 0 } }; // kolowy
            int[,] f4 = { { 1, 1, 1 }, { 1, 2, 1 }, { 1, 1, 1 }}; // LP1
            int[,] f5 = { { 1, 1, 1 }, { 1, 4, 1 }, { 1, 1, 1 } }; // LP2
            int[,] f6 = { { 1, 1, 1 }, { 1, 12, 1 }, { 1, 1, 1 } }; // LP3
            int[,] f7 = { { 1, 2, 3, 2, 1 }, { 2, 4, 6, 4, 2 }, { 3, 6, 9, 6, 3 }, { 2, 4, 6, 4, 2 }, { 1, 2, 3, 2, 1 } }; // piramidalny
            int[,] f8 = { { 0, 0, 1, 0, 0 }, { 0, 2, 2, 2, 0 }, { 1, 2, 5, 2, 1 }, { 0, 2, 2, 2, 0 }, { 0, 0, 1, 0, 0 } }; // stozkowy
            int[,] f9 = { { 1, 2, 1 }, { 2,4,2}, { 1,2,1} }; // gauss 1
            int[,] f10 = { { 1, 1, 2, 1, 1 }, { 1, 2, 4, 2, 1 }, { 2, 4, 8, 4, 2 }, { 1, 2, 4, 2, 1 }, { 1, 1, 2, 1, 1 } }; // gauss 2
            int[,] f11 = { { 0, 1, 2, 1, 0 }, { 1, 4, 8, 4, 1 }, { 2, 8, 16, 8, 2 }, { 1, 4, 8, 4, 1 }, { 0, 1, 2, 1, 0 } }; // gauss 3
            int[,] f12 = { { 1, 4, 7, 4, 1 }, { 4, 16, 26, 16, 4 }, { 7, 26, 41, 26, 7 }, { 4, 16, 26, 16, 4 }, { 1, 4, 7, 4, 1 } }; // gauss 4
            int[,] f13 = { { 1, 1, 2, 2, 2, 1, 1 }, { 1, 2, 2, 4, 2, 2, 1 }, { 2, 2, 4, 8, 4, 2, 2 }, { 2, 4, 8, 16, 8, 4, 2 }, { 2, 2, 4, 8, 4, 2, 2 }, { 1, 2, 2, 4, 2, 2, 1 }, { 1, 1, 2, 2, 2, 1, 1 } }; // gauss 5

            // maski wyostrzajace (FG)
            int[,] f14 = { { -1, -1, -1 }, { -1, 9, -1 }, { -1, -1, -1 } }; // usun srednia
            int[,] f15 = { { 0, -1, 0 }, { -1, 5, -1 }, { 0, -1, 0 } }; // HP1
            int[,] f16 = { { 1, -2, 1 }, { -2, 5, -2 }, { 1, -2, 1 } }; // HP2
            int[,] f17 = { { 0, -1, 0 }, { -1, 20, -1 }, { 0, -1, 0 } }; // HP3

            // filtry przesuwania i odejmowania
            int[,] f18 = { { 0, 0, 0 }, { -1, 1, 0 }, { 0, 0, 0 } }; // pionowy
            int[,] f19 = { { 0, -1, 0 }, { 0, 1, 0 }, { 0, 0, 0 } }; // poziomy
            int[,] f20 = { { -1, 0, 0 }, { 0, 1, 0 }, { 0, 0, 0 } }; // ukosny lewy
            int[,] f21 = { { 0, 0, -1 }, { 0, 1, 0 }, { 0, 0, 0 } }; // ukosny prawy

            // gradientowe filtry kierunkowe
            int[,] f22 = { { -1, 1, 1 }, { -1, -2, 1 }, { -1, 1, 1 } }; // wschod
            int[,] f23 = { { -1, -1, 1 }, { -1, -2, 1 }, { 1, 1, 1 } }; // poludniowy wschod
            int[,] f24 = { { -1, -1, -1 }, { 1,-2,1}, {1,1,1} }; // poludnie
            int[,] f25 = { { 1,-1,-1}, { 1,-2,-1}, {1,1,1} }; // poludniowy zachod
            int[,] f26 = { { 1,1,-1}, {1,-2,-1 }, {1,1,-1 } }; // zachod
            int[,] f27 = { { 1,1,1}, {1,-2,-1 }, {1,-1,-1 } }; // polnocny zachod
            int[,] f28 = { { 1,1,1}, {1,-2,1 }, {-1,-1,-1 } }; // polnoc
            int[,] f29 = { { 1,1,1}, {-1,-2,1 }, {-1,-1,1 } }; // polnocny wschod

            // uwypuklajace
            int[,] f30 = { { -1, 0, 1 }, { -1, 1, 1 }, { -1, 0, 1 } }; // wschod
            int[,] f31 = { { -1,-1,0}, {-1,1,1 }, {0,1,1 } }; // poludniowy wschod
            int[,] f32 = { { -1,-1,-1}, {0,1,0 }, {1,1,1 } }; // poludnie
            int[,] f33 = { { 0,-1,-1}, {1,1,-1 }, {1,1,0 } }; // poludniowy zachod
            int[,] f34 = { { 1, 0, -1 }, { 1, 1, -1 }, { 1, 0, -1 } }; // zachod
            int[,] f35 = { { 1,1,0}, {1,1,-1 }, {0,-1,-1 } }; // polnocny zachod
            int[,] f36 = { { 1,1,1}, {0,1,0 }, {-1,-1,-1 } }; // polnoc
            int[,] f37 = { { 0, 1, 1 }, { -1, 1, 1 }, { -1, -1, 0 } }; // polnocny wschod

            // Laplace'a - wykrywanie krawdzi
            int[,] f38 = { { 0,-1,0}, {-1,4,-1 }, { 0,-1,0} }; // L1
            int[,] f39 = { { -1,-1,-1}, { -1,8,-1}, {-1,-1,-1 } }; // L2
            int[,] f40 = { { 1, -2, 1 }, { -2, 4, -2 }, { 1, -2, 1 } }; // L3
            int[,] f41 = { { -1, 0, -1 }, { 0, 4, 0 }, { -1, 0, -1 } }; // ukosny
            int[,] f42 = { { 0, -1, 0 }, { 0, 2, 0 }, { 0, -1, 0 } }; // poziomy
            int[,] f43 = { { 0, 0, 0 }, { -1, 2, -1 }, { 0, 0, 0 } }; // pionowy

            // Filtry Konturowe - wykrywanie krawdzi
            int[,] f44 = { { 1,2,1}, {0,0,0 }, { -1,-2,-1} }; // Sobel poziomy
            int[,] f45 = { { 1,0,-1}, { 2,0,-2}, { 1,0,-1} }; // Sobel pionowy
            int[,] f46 = { { -1,-1,-1}, { 0,0,0}, {1,1,1 } }; // Prewitt poziomy
            int[,] f47 = { { 1, 0, -1 }, { 1, 0, -1 }, { 1, 0, -1 } }; // Prewitt pionowy

            f.Add(f1);
            f.Add(f2);
            f.Add(f3);
            f.Add(f4);
            f.Add(f5);
            f.Add(f6);
            f.Add(f7);
            f.Add(f8);
            f.Add(f9);
            f.Add(f10);
            f.Add(f11);
            f.Add(f12);
            f.Add(f13);
            f.Add(f14);
            f.Add(f15);
            f.Add(f16);
            f.Add(f17);
            f.Add(f18);
            f.Add(f19);
            f.Add(f20);
            f.Add(f21);
            f.Add(f22);
            f.Add(f23);
            f.Add(f24);
            f.Add(f25);
            f.Add(f26);
            f.Add(f27);
            f.Add(f28);
            f.Add(f29);
            f.Add(f30);
            f.Add(f31);
            f.Add(f32);
            f.Add(f33);
            f.Add(f34);
            f.Add(f35);
            f.Add(f36);
            f.Add(f37);
            f.Add(f38);
            f.Add(f39);
            f.Add(f40);
            f.Add(f41);
            f.Add(f42);
            f.Add(f43);
            f.Add(f44);
            f.Add(f45);
            f.Add(f46);
            f.Add(f47);
        }

        public int[,] filtr(int ktory)
        {
            return fx[ktory];
        }

        public int add(int[,] filtr)
        {
            fx.Add(filtr);
            return fx.Count-1;
        }

        public  void remove(int index)
        {
            fx.RemoveAt(index);
        }

        public int licz_mediane(int[] tab)
        {
            // obliczam bok mojej kwadratowej maski
            Array.Sort(tab);
            /*string a = "";
            for (int i = 0; i < tab.Length; i++)
                a += tab[i].ToString();*/
            if (tab.Length % 2 == 0)
                return (tab[tab.Length / 2] + tab[tab.Length / 2 - 1]) / 2;
            else
                return tab[tab.Length/2];
        }

        public Bitmap mediana(Bitmap obraz, int wypelnienie, int maska)
        {
            Bitmap o = new Bitmap(obraz);

            int szer = maska;
            int width_maski = szer/2;
            int p = 0; // pomocnicze
            //int p2 = 0;

            if (wypelnienie > 255)
                wypelnienie = 255;

            if (wypelnienie == -1)
            { // tworzymy nowy obraz z czarna ramka
                Bitmap n = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                Bitmap n2 = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                //kopiujemy
                for (int i = 0; i < width_maski; i++)
                    for (int j = 0; j < o.Height; j++)
                        n.SetPixel(i, j + width_maski, o.GetPixel(i, j));
                for (int i = o.Width - width_maski; i < o.Width; i++)
                    for (int j = 0; j < o.Height; j++)
                        n.SetPixel(i + width_maski + width_maski, j + width_maski, o.GetPixel(i, j));
                //dwa paski pionowe skopiowane: lewy potem prawy
                for (int i = 0; i < o.Width; i++)
                    for (int j = 0; j < width_maski; j++)
                        n.SetPixel(i + width_maski, j, o.GetPixel(i, j));
                for (int i = 0; i < o.Width; i++)
                    for (int j = o.Height - width_maski; j < o.Height; j++)
                        n.SetPixel(i + width_maski, j + width_maski + width_maski, o.GetPixel(i, j));
                // wypelniamy rogi
                for (int i = 0; i < width_maski; i++)
                    for (int j = 0; j < width_maski; j++)
                    {
                        n.SetPixel(i, j, o.GetPixel(i, j));
                        n.SetPixel(i + n.Width - width_maski, j, o.GetPixel(i + o.Width - width_maski, j));
                        n.SetPixel(i, j + n.Height - width_maski, o.GetPixel(i, j + o.Height - width_maski));
                        n.SetPixel(i + n.Width - width_maski, j + n.Height - width_maski, o.GetPixel(i + o.Width - width_maski, j + o.Height - width_maski));
                    }

                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        n.SetPixel(i, j, o.GetPixel(i - width_maski, j - width_maski));

                for (int i = 0; i < n.Width - width_maski - width_maski; i++)
                {
                    for (int j = 0; j < n.Height - width_maski - width_maski; j++)
                    {
                        int pom = 0;
                        int[] tab = new int[szer*szer];
                        for (int k = 0; k < szer; k++)
                        {
                            for (int l = 0; l < szer; l++)
                            {
                                tab[pom] = n.GetPixel(i + k, j + l).R;
                                pom++;
                            }
                        }
                        p = licz_mediane(tab);
                        n2.SetPixel(i + width_maski, j + width_maski, Color.FromArgb(p, p, p));
                    }
                }

                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        o.SetPixel(i - width_maski, j - width_maski, n2.GetPixel(i, j));
            }
            else if (wypelnienie >= 0) // wypelnienie wartoscia piksla wypelnienie
            {
                Bitmap n = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                Bitmap n2 = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                for (int i = 0; i < n.Width; i++)
                    for (int j = 0; j < n.Height; j++)
                        n.SetPixel(i, j, Color.FromArgb(wypelnienie, wypelnienie, wypelnienie));
                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        n.SetPixel(i, j, o.GetPixel(i - width_maski, j - width_maski));

                for (int i = 0; i < n.Width - width_maski - width_maski; i++)
                {
                    for (int j = 0; j < n.Height - width_maski - width_maski; j++)
                    {
                        int pom = 0;
                        int[] tab = new int[szer * szer];
                        for (int k = 0; k < szer; k++)
                        {
                            for (int l = 0; l < szer; l++)
                            {
                                tab[pom] = n.GetPixel(i + k, j + l).R;
                                pom++;
                            }
                        }
                        p = licz_mediane(tab);
                        n2.SetPixel(i + width_maski, j + width_maski, Color.FromArgb(p, p, p));
                    }
                }

                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        o.SetPixel(i - width_maski, j - width_maski, n2.GetPixel(i, j));
            }
            else // jesli nie to musimy odchudzic nieco nasz obraz i dzialamy tylko na pikslach
            {// bez ramki
                Bitmap n = new Bitmap(o);
                for (int i = 0; i < o.Width - width_maski - width_maski; i++)
                {
                    for (int j = 0; j < o.Height - width_maski - width_maski; j++)
                    {
                        int pom = 0;
                        int[] tab = new int[szer * szer];
                        for (int k = 0; k < szer; k++)
                        {
                            for (int l = 0; l < szer; l++)
                            {
                                tab[pom] = o.GetPixel(i + k, j + l).R;
                                pom++;
                            }
                        }
                        p = licz_mediane(tab);
                        n.SetPixel(i + width_maski, j + width_maski, Color.FromArgb(p, p, p));
                    }
                }

                for (int i = 0; i < n.Width; i++) // wstawiam obraz
                    for (int j = 0; j < n.Height; j++)
                        o.SetPixel(i, j, n.GetPixel(i, j));
            }
            return o;
        }

    //    public Bitmap filtruj(Bitmap obraz, int ktory_filtr, int wypelnienie)
        public Bitmap filtruj(Bitmap obraz, int[,] maska, int wypelnienie)
        {
            Bitmap o = new Bitmap(obraz);

        //    int width_maski = Convert.ToInt32(Math.Sqrt(Convert.ToDouble(f[ktory_filtr].Length)));
            int width_maski =Convert.ToInt32(Math.Sqrt(Convert.ToDouble(maska.Length)));
            int szer = width_maski;
            width_maski /= 2;
            int p = 0; // pomocnicze
            int p2 = 0;

            if (wypelnienie > 255)
                wypelnienie = 255;

            if (wypelnienie==-1)
            { // tworzymy nowy obraz z czarna ramka
                Bitmap n = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                Bitmap n2 = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                //kopiujemy
                for (int i = 0; i < width_maski; i++)
                    for (int j = 0; j < o.Height; j++)
                        n.SetPixel(i, j+width_maski, o.GetPixel(i,j));
                for (int i = o.Width-width_maski; i < o.Width; i++)
                    for (int j = 0; j < o.Height; j++)
                        n.SetPixel(i+width_maski+width_maski, j + width_maski, o.GetPixel(i, j));
                //dwa paski pionowe skopiowane: lewy potem prawy
                for (int i = 0; i < o.Width; i++)
                    for (int j = 0; j < width_maski; j++)
                        n.SetPixel(i + width_maski, j, o.GetPixel(i, j));
                for (int i = 0; i < o.Width; i++)
                    for (int j = o.Height-width_maski; j < o.Height; j++)
                        n.SetPixel(i + width_maski, j + width_maski + width_maski, o.GetPixel(i, j));
                // wypelniamy rogi
                for (int i = 0; i < width_maski; i++)
                    for (int j = 0; j < width_maski; j++)
                    {
                        n.SetPixel(i, j, o.GetPixel(i, j));
                        n.SetPixel(i + n.Width - width_maski, j, o.GetPixel(i + o.Width - width_maski, j));
                        n.SetPixel(i, j + n.Height - width_maski, o.GetPixel(i, j + o.Height - width_maski));
                        n.SetPixel(i + n.Width - width_maski,j+n.Height-width_maski,o.GetPixel(i + o.Width - width_maski,j+o.Height-width_maski));
                    }

                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        n.SetPixel(i, j, o.GetPixel(i - width_maski, j - width_maski));

                for (int i = 0; i < n.Width-width_maski-width_maski; i++)
                {
                    for (int j = 0; j < n.Height-width_maski-width_maski; j++)
                    {
                        p = 0;
                        p2 = 0;
                        for (int k = 0; k < szer; k++)
                        {
                            for (int l = 0; l < szer; l++)
                            {
                                p += n.GetPixel(i + k, j + l).R * maska[k, l];
                                p2 += maska[k, l];
                            }
                        }
                        if(p2!=0)
                            p = p / p2;
                        if (p < 0) p = 0;
                        else if (p > 255) p = 255;
                        n2.SetPixel(i+width_maski, j+width_maski, Color.FromArgb(p,p,p));
                    }
                }

                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        o.SetPixel(i - width_maski, j - width_maski, n2.GetPixel(i, j));
            }
            else if(wypelnienie>=0) // wypelnienie wartoscia piksla wypelnienie
            {
                Bitmap n = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                Bitmap n2 = new Bitmap(o.Width + width_maski + width_maski, o.Height + width_maski + width_maski);
                for (int i = 0; i < n.Width; i++)
                    for (int j = 0; j < n.Height; j++)
                        n.SetPixel(i, j, Color.FromArgb(wypelnienie, wypelnienie, wypelnienie));
                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        n.SetPixel(i, j, o.GetPixel(i - width_maski, j - width_maski));

                for (int i = 0; i < n.Width - width_maski - width_maski; i++)
                {
                    for (int j = 0; j < n.Height - width_maski - width_maski; j++)
                    {
                        p = 0;
                        p2 = 0;
                        for (int k = 0; k < szer; k++)
                        {
                            for (int l = 0; l < szer; l++)
                            {
                                p += n.GetPixel(i + k, j + l).R *maska[k, l];
                                p2 += maska[k, l];
                            }
                        }
                        if (p2 != 0)
                            p = p / p2;
                        if (p < 0) p = 0;
                        else if (p > 255) p = 255;
                        n2.SetPixel(i + width_maski, j + width_maski, Color.FromArgb(p, p, p));
                    }
                }

                for (int i = width_maski; i < n.Width - width_maski; i++) // wstawiam obraz
                    for (int j = width_maski; j < n.Height - width_maski; j++)
                        o.SetPixel(i - width_maski, j - width_maski, n2.GetPixel(i, j));
            }
            else // jesli nie to musimy odchudzic nieco nasz obraz i dzialamy tylko na pikslach
            {// bez ramki
                Bitmap n = new Bitmap(o);
                for (int i = 0; i < o.Width-width_maski - width_maski; i++)
                {
                    for (int j = 0; j < o.Height - width_maski - width_maski; j++)
                    {
                        p = 0;
                        p2 = 0;
                        for (int k = 0; k < szer; k++)
                        {
                            for (int l = 0; l < szer; l++)
                            {
                                p += o.GetPixel(i + k, j + l).R * maska[k, l];
                                p2 += maska[k, l];
                            }
                        }
                        if (p2 != 0)
                            p = p / p2;
                        if (p < 0) p = 0;
                        else if (p > 255) p = 255;
                        n.SetPixel(i + width_maski, j + width_maski, Color.FromArgb(p, p, p));
                    }
                }

                for (int i = 0; i < n.Width; i++) // wstawiam obraz
                    for (int j = 0; j < n.Height; j++)
                        o.SetPixel(i, j, n.GetPixel(i, j));
            }

            return o;
        }
    }
}
